Summary:	Text-mode interface for git-core
Summary(pl.UTF-8):	Tekstowy interfejs do git-core
Name:		tig
Version:	2.1.1
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	http://jonas.nitro.dk/tig/releases/%{name}-%{version}.tar.gz
# Source0-md5:	d6eb13d31319d57a3f726d8238f8ebc0
URL:		http://jonas.nitro.dk/tig/
BuildRequires:	ncurses-devel
Requires:	git-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tig is a git-core repository browser that additionally can act as a
pager for output from various git commands.

When browsing repositories, it uses the underlying git commands to
present the user with various views, such as summarized revision log
and showing the commit with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%description -l pl.UTF-8
Tig jest przeglądarką repozytoriów git-core'a. Dodatkowo może działać
jako pager dla różnych komend gita.

Podczas przeglądania repozytoriów używa poleceń gita i pokazuje log,
statystyki diffa i różnice między plikami.

Używany jako pager będzie kolorował to co otrzyma ze standardowego
wejścia.

%package -n bash-completion-tig
Summary:	bash-completion for tig
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla tiga
Group:		Applications/Shells
Requires:	bash-completion
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n bash-completion-tig
This package provides bash-completion for tig.

%description -n bash-completion-tig -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla tiga.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags} %{rpmldflags} -I/usr/include/ncursesw"
export CFLAGS
LIBS=-ltinfow %configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%{__make} install install-doc-man \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir} \
	prefix=%{_prefix}
	sysconfdir=%{_sysconfdir}

# bash completion
cp -a contrib/tig-completion.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tigrc
%attr(755,root,root) %{_bindir}/tig
#%attr(755,root,root) %{_bindir}/test-graph
%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*
%{_mandir}/man7/tigmanual.7*

%files -n bash-completion-tig
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/tig-completion.bash
%changelog
* Thu Apr 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tig.git;a=log;h=master

* Thu Apr 09 2015 Kacper Kornet <draenog@pld-linux.org> b016739
- updated to 2.1.1

* Wed Mar 11 2015 Jan Palus <atler@pld-linux.org> 93dce0d
- up to 2.1

* Sat Aug 30 2014 Jan Palus <atler@pld-linux.org> 1449092
- up to 2.0.3

* Fri May 09 2014 Kacper Kornet <draenog@pld-linux.org> 256bc51
- updated to 2.0.2

* Fri May 02 2014 Jan Palus <atler@pld-linux.org> 657504b
- up to 2.0.1

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> 71c08c5
- noarch bash completions

* Sat Aug 24 2013 Kacper Kornet <draenog@pld-linux.org> d93bcb8
- updated to 1.2.1

* Sat Aug 10 2013 Kacper Kornet <draenog@pld-linux.org> 1a541db
- updated to 1.2

* Fri Oct 12 2012 Kacper Kornet <draenog@pld-linux.org> 3aac7dc
- up to 1.1

* Thu May 10 2012 Paweł Sikora <pluto@pld-linux.org> abe1d5a
- updated to 1.0.

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c8d78d9
- release 2

* Mon Aug 29 2011 witekfl <witekfl@pld-linux.org> 680ab12
- 0.18
- test-graph binary is not installed by default, so it is commented
- use of configure script

* Mon Mar 07 2011 lisu <lisu@pld-linux.org> c657d90
- up to 0.17
- more verbose files
- new binary: test-graph

* Tue Sep 21 2010 Kacper Kornet <draenog@pld-linux.org> 16980b3
- up to 0.16.2

* Mon Sep 20 2010 Kacper Kornet <draenog@pld-linux.org> c542de4
- up to 0.16.1

* Sat Jun 12 2010 lisu <lisu@pld-linux.org> b72f1c3
- up to 0.16

* Mon Feb 22 2010 sparky <sparky@pld-linux.org> 4eef9c0
- dropped BR: asciidoc
- verbose _bindir files
- correct bash-completion group

* Mon Feb 22 2010 witekfl <witekfl@pld-linux.org> 1d1b765
- there is no tig-git.patch in the repository

* Sat Nov 21 2009 Adam Gołębiowski <adamg@pld-linux.org> 4b0409e
- updated to 0.15

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 983ff0c
- drop obsolete files

